# Katie

# Copyright 2000-2001 Geoffrey D. Bennett <geoffrey@netcraft.com.au>

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or (at
# your option) any later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.

package Katie::Mount;

use strict;

#use Katie::PGq;
use Katie::DB;
use Katie::Constants;
use Katie::NFSfh;

use POSIX;

sub mnt {
  my($view_name) = @_;
  my($query, $row);

  $view_name = $katie_db->escape_sql($view_name);
  $query = $katie_db->select("
      SELECT id, vob_id
      FROM   view
      WHERE  name = '$view_name';
  ");
  $row = $query->fetchrow();
  if (!$row) {
    print "reject mount of '$view_name' (no such view)\n";
    return ENOENT;
  }
  print "accept mount of '$view_name'\n";
  return (encode_filehandle($row->{id}, ROOT_ELEMENT_ID,
                            get_dcookie_by_dpath($row->{vob_id}, '')));
}

1;
